%{?nodejs_find_provides_and_requires}

%global packagename espower
# Tests disabled due to unmet dependencies (babel, etc.)
%global enable_tests 0

Name:		nodejs-espower
Version:	2.0.3
Release:	4%{?dist}
Summary:	Power Assert feature instrumentor based on the ECMAScript AST

License:	MIT
URL:		https://github.com/power-assert-js/espower.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(array-find)
BuildRequires:	npm(estraverse)
BuildRequires:	npm(escallmatch)
BuildRequires:	npm(escodegen)
BuildRequires:	npm(escope)
BuildRequires:	npm(espower-location-detector)
BuildRequires:	npm(is-url)
BuildRequires:	npm(type-name)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
%endif

%description
Power Assert feature instrumentor based on the ECMAScript AST


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep type-name

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/\
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license MIT-LICENSE.txt
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.3-1
- Update to upstream 2.0.3 release

* Tue Jul 05 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.2-1
- Update to upstream 1.3.2 release

* Tue Feb 16 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
